Page MenuHomePhabricator

Add additional TimedMediaHandler projects
Closed, ResolvedPublic

Description

I went trough this thing and it's huge, with very distinct stuff in it.

I propose adding at least:

  • TimedMediaHandler-Player
  • TimedMediaHandler-TimedText
  • TimedMediaHandler-Transcode

Renaming the existing extension to just TimedMediaHandler could be considered as well.

A showing of hands in support for the names would be appreciated, alternatives, objections etc.

Event Timeline

TheDJ created this task.Mar 21 2015, 8:43 PM
TheDJ raised the priority of this task from to Needs Triage.
TheDJ updated the task description. (Show Details)
TheDJ added a subscriber: TheDJ.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2015, 8:43 PM

I'd love to see the Multimedia team providing input / opinions here (e.g. a TMH umbrella project?), plus who would be supposed to triage this to set/add these projects.

Multimedia team: ping?

Multimedia team: ping? Comments?

Aklapper triaged this task as Low priority.Jun 15 2015, 4:42 PM

Multimedia team: ping? Comments?

The old Multimedia team did not have the resources to support TMH apart from putting out fires and sometimes helping with code review. Not sure about the new one but I imagine they are in a similar situation. IMO whatever the de facto maintainers find helpful should be fine. From the gerrit queues, those seem to be TheDJ, @brion and @Paladox.

Are you proposing actually splitting the extension, or just having separate phab projects for the components?

Creating separate phab projects sounds fine to me (And the names also sound fine). Actually separating the extensions also sounds like an ok idea to me, particularly if I don't have to be the one to do it ;)

Having several projects. Where the actual code lies, will probably change at some point in the future as well, but that's a longer story and would be different tickets :)

If there is consensus among the people working on TMH, feel free to create these projects.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 5:52 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 5:52 PM
TheDJ moved this task from To sort to Doing on the TimedMediaHandler board.Oct 21 2015, 7:44 PM
TheDJ added a comment.Oct 26 2015, 1:54 PM

I've done some presorting on the TMH board and I think the following projects should be added.

Name: TimedMediaHandler-Player
Description: Issues relating to the HTML5 playback of A/V assets using the JS enriched web player. A subproject of TimedMediaHandler.
Type: Briefcase+Blue.
Policy: Default

Name: TimedMediaHandler-TimedText
Description: Issues relating to the addition, management and playback of subtitles, captions and other forms of Timed Text. A subproject of TimedMediaHandler.
Type: Briefcase+Blue.
Policy: Default

Name: TimedMediaHandler-Transcode
Description: Issues relating to transcoding pipelines (the creation of derivative files) and the management of these files. A subproject of TimedMediaHandler.
Type: Briefcase+Blue.
Policy: Default

We will have an assortment of remaining tickets (format support, originals management, alternative playback interfaces [mobile], metadata parsing) that can be left in the main TimedMediaHandler.

Jdforrester-WMF closed this task as Resolved.Oct 26 2015, 2:35 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF set Security to None.

Done, and links added to the TimedMediaHandler project page.

Where are people supposed to put their tasks? Into both TimedMediaHandler and TimedMediaHandler-something, or just into one?
Does someone plan to triage the open 162 tasks?

TheDJ added a comment.Oct 26 2015, 2:51 PM

@Aklapper I already triaged most of them this weekend on the workboard. That way i can easily do a batch move.

The question of having tickets on both or not is interesting indeed... Is there a convention that most projects follow ?

TheDJ moved this task from Doing to Done on the TimedMediaHandler board.Nov 13 2015, 12:07 PM

The question of having tickets on both or not is interesting indeed... Is there a convention that most projects follow ?

Not really. Some have umbrella projects, others have not...